import React from 'react'
import * as context from './context'
import getComponentName from './getComponentName'


export default Component => {
  return class RouterContextComponent extends React.Component {
    static displayName = getComponentName(Component)
    static contextTypes = context.contextShape

    render () {
      return <Component {...this.props} {...this.context}/>
    }
  }
}
