'use strict';

exports.__esModule = true;

var _getRouteName = require('./getRouteName');

var _getRouteName2 = _interopRequireDefault(_getRouteName);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (route, nameIfMissing) {
  var routeName = [];

  for (var _iterator = route.schemes, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : _iterator[Symbol.iterator]();;) {
    var _ref;

    if (_isArray) {
      if (_i >= _iterator.length) break;
      _ref = _iterator[_i++];
    } else {
      _i = _iterator.next();
      if (_i.done) break;
      _ref = _i.value;
    }

    var scheme = _ref;

    var schemeName = scheme.props.name;
    if (scheme.props.view !== void 0) schemeName = (0, _getRouteName2.default)(scheme.props.view);
    if (schemeName) routeName.push(schemeName);
  }

  routeName.push(route.name || nameIfMissing);
  return routeName.join('.');
};