'use strict';

exports.__esModule = true;

var _getRouteName = require('./getRouteName');

var _getRouteName2 = _interopRequireDefault(_getRouteName);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (component, schemes) {
  var view = component.props.view;

  if (view === void 0) {
    for (var _iterator = schemes, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : _iterator[Symbol.iterator]();;) {
      var _ref;

      if (_isArray) {
        if (_i >= _iterator.length) break;
        _ref = _iterator[_i++];
      } else {
        _i = _iterator.next();
        if (_i.done) break;
        _ref = _i.value;
      }

      var scheme = _ref;

      if (scheme.props.view) {
        view = scheme.props.view;
      }
    }
  }

  if (view !== void 0) {
    return view;
  }

  var routeName = component.props.name || component.props.path || (0, _getRouteName2.default)(component);

  throw new Error('View not found for route: ' + routeName);
};