'use strict';

exports.__esModule = true;

var _getRouteName = require('./getRouteName');

var _getRouteName2 = _interopRequireDefault(_getRouteName);

var _getAbsoluteRouteName = require('./getAbsoluteRouteName');

var _getAbsoluteRouteName2 = _interopRequireDefault(_getAbsoluteRouteName);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (route, name) {
  var view = route.component.props.view;
  var viewName = view ? (0, _getRouteName2.default)(view) : '';
  var absoluteViewName = (0, _getAbsoluteRouteName2.default)(route, viewName);
  var absoluteParts = absoluteViewName.split('.');
  absoluteParts.reverse();

  var tryName = [];

  for (var i = 0; i < absoluteParts.length; i++) {
    var part = absoluteParts[i];
    tryName.unshift(part);

    if (tryName.join('.') === name) {
      return true;
    }
  }

  return false;
};