'use strict';

exports.__esModule = true;

var _getPathForRouteNamed = require('./getPathForRouteNamed');

var _getPathForRouteNamed2 = _interopRequireDefault(_getPathForRouteNamed);

var _routeParser = require('./routeParser');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (routes, name, optData) {
  var assertValid = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : false;

  var path = (0, _getPathForRouteNamed2.default)(routes, name);

  if (path === void 0) {
    throw new Error('Path not found for name \'' + name + '\'');
  }

  var url = (0, _routeParser.format)(path, optData, assertValid);

  if (url.length) {
    return url;
  }
};