var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import shallowCompare from 'react-addons-shallow-compare';
import { setDefinedOpt } from 'opt-setter';
import * as context from './context';
import bindEach from './bindEach';

var RouterContext = (_temp = _class = function (_React$Component) {
  _inherits(RouterContext, _React$Component);

  function RouterContext() {
    _classCallCheck(this, RouterContext);

    return _possibleConstructorReturn(this, (RouterContext.__proto__ || Object.getPrototypeOf(RouterContext)).apply(this, arguments));
  }

  _createClass(RouterContext, [{
    key: 'getChildContext',
    value: function getChildContext() {
      var history = context.historyContext;
      var historyObj = this.props.history.toObject();

      setDefinedOpt(history, historyObj, false);
      bindEach(history, this.props.history);

      var router = Object.assign({}, context.routerContext);

      setDefinedOpt(router, Object.assign({}, history, this.props), false);
      router.onUpdate = history.onRouterUpdate;

      var route = Object.assign({}, context.routeContext, this.props.route);
      delete route.view;

      return { router: router, route: route, history: history };
    }
  }, {
    key: 'render',
    value: function render() {
      return this.props.children;
    }
  }]);

  return RouterContext;
}(React.Component), _class.childContextTypes = {
  router: React.PropTypes.object,
  route: React.PropTypes.object,
  history: React.PropTypes.object
}, _temp);
export { RouterContext as default };