import getRouteName from './getRouteName';
import getAbsoluteRouteName from './getAbsoluteRouteName';

export default (function (route, name) {
  var view = route.component.props.view;
  var viewName = view ? getRouteName(view) : '';
  var absoluteViewName = getAbsoluteRouteName(route, viewName);
  var absoluteParts = absoluteViewName.split('.');
  absoluteParts.reverse();

  var tryName = [];

  for (var i = 0; i < absoluteParts.length; i++) {
    var part = absoluteParts[i];
    tryName.unshift(part);

    if (tryName.join('.') === name) {
      return true;
    }
  }

  return false;
});