import getPathForRouteNamed from './getPathForRouteNamed';
import { format } from './routeParser';

export default (function (routes, name, optData) {
  var assertValid = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : false;

  var path = getPathForRouteNamed(routes, name);

  if (path === void 0) {
    throw new Error('Path not found for name \'' + name + '\'');
  }

  var url = format(path, optData, assertValid);

  if (url.length) {
    return url;
  }
});