import getRouteName from './getRouteName'


export default (route, nameIfMissing) => {
  let routeName = []

  for (let scheme of route.schemes) {
    let schemeName = scheme.props.name
    if (scheme.props.view !== void 0)
      schemeName = getRouteName(scheme.props.view)
    if (schemeName)
      routeName.push(schemeName)
  }

  routeName.push(route.name || nameIfMissing)
  return routeName.join('.')
}
