import getRouteName from './getRouteName'
import getAbsoluteRouteName from './getAbsoluteRouteName'


export default (route, name) => {
  const view = route.component.props.view
  const viewName = view ? getRouteName(view): ''
  const absoluteViewName = getAbsoluteRouteName(route, viewName)
  const absoluteParts = absoluteViewName.split('.')
  absoluteParts.reverse()

  let tryName = []
  
  for (let i = 0; i < absoluteParts.length; i++) {
    const part = absoluteParts[i]
    tryName.unshift(part)

    if (tryName.join('.') === name) {
      return true
    }
  }

  return false
}
