import getPathForRouteNamed from './getPathForRouteNamed'
import {format} from './routeParser'


export default (routes, name, optData, assertValid = false) => {
  const path = getPathForRouteNamed(routes, name)

  if (path === void 0) {
    throw new Error(`Path not found for name '${name}'`)
  }

  const url = format(path, optData, assertValid)

  if (url.length) {
    return url
  }
}
